FLANG

Public Member Functions | List of all members
Fortran::semantics::DeferredCheckVisitor Class Reference

## Public Member Functions
| DeferredCheckVisitor (ResolveNamesVisitor &resolver)
template<typename A >
void | Walk (const A &x)
template<typename A >
bool | Pre (const A &)
template<typename A >
void | Post (const A &)
void | Post (const parser::DerivedTypeStmt &x)
void | Post (const parser::EndTypeStmt &)
void | Post (const parser::ProcInterface &pi)
bool | Pre (const parser::EntityDecl &decl)
bool | Pre (const parser::ComponentDecl &decl)
bool | Pre (const parser::ProcDecl &decl)
void | Post (const parser::TypeBoundProcedureStmt::WithInterface &tbps)
void | Post (const parser::TypeBoundProcedureStmt::WithoutInterface &tbps)

The documentation for this class was generated from the following file:

- lib/Semantics/resolve-names.cpp